Requirements for OmniFind Enterprise Edition and OmniFind Starter Edition Version 8.5

Product documentation


Abstract

This page provides detailed software requirements for OmniFind Enterprise Edition Version 8.5 and OmniFind Starter Edition Version 8.5, and each subsequent fix pack.

This page describes the minimum product levels to install before opening a problem report with the OmniFind Enterprise Edition or OmniFind Starter Edition support team. Because other products frequently ship fixes, updates, and new releases, we cannot test every possible configuration. In general, you can install and run with updates, such as fix packs, to supported product releases (not necessarily significant new product versions), if those updates are forward compatible.

Content

System requirements for OmniFind Enterprise Edition Version 8.5

Links to navigation


Legend
Icon Description
Supported Supported
Δ Added or changed information since the last release, modification, or fix pack. This mark in the far left column indicates new or changed information in the row. This mark in a particular cell within a row further identifies a specific change within an existing row.
x86 Intel 32-bit processors, including IBM System x, eServer xSeries, and BladeCenter servers.
x86-64 64-bit AMD Opteron (AMD64) and Intel Xeon (EM64T) processors, including IBM System x and BladeCenter servers.
SPARC Suc SPARC-based processors.
POWER IBM POWER-based processors, including IBM System p, eServer pSeries, System i and eServer iSeries servers.
IA64 64-bit Intel Itanium 2 processors including HP Integrity Servers.




Capacity planning assistance

Enterprise search technology can be used in a broad range of environments, from very small and simple evaluation scenarios to very large scenarios with tens of million of documents, thousands of users, and native document security. For help with sizing your enterprise search system, see the IBM OmniFind Enterprise Edition Capacity Planning Guide.



Operating system

The following table specifies the operating system for any machine on which you install the server components for enterprise search. In a multiple server installation, all servers must run the same operating system.

Operating system (Required) Hardware platform: Notes
x86
x86-64
POWER
SPARC
IA64
Δ
AIX 6.1 (64-bit) Supported on POWER Requires OmniFind Enterprise Edition, Version 8.5 Fix Pack 4 or a later fix pack.

Requires the July 2009 Runtime for IBM XL C++ for AIX, V10.1 To download, see the download document.
AIX 5.2 (64-bit, Maintenance level 7) Supported on POWER Minimum: One 2-way pSeries machine.

Requires the April 2006 IBM C++ Runtime Environment Components for AIX. To download, see the download document.
Δ
AIX 5.3 (64-bit, Technology level 4)
Supported on POWER
Minimum: One 2-way pSeries machine.

Requires the April 2006 IBM C++ Runtime Environment Components for AIX. To download, see the download document.
Δ
Red Hat Enterprise Linux Advance Server 4.0 (32-bit, Update 3)
Supported on x86
Supported on x86-64
Minimum: One machine with two or more Intel 32-bit or AMD 32-bit processors.

Requires compat-libstdc++-33-3.2.3-47.3
Δ
Red Hat Enterprise Linux Advance Server 5.0 (32-bit)
Supported on x86
Supported on x86-64
Minimum: One machine with two or more Intel 32-bit or AMD 32-bit processors.
Δ
Red Hat Enterprise Linux Advance Server 5.1 (32-bit)
Supported on x86
Supported on x86-64
Requires OmniFind Enterprise Edition or OmniFind Starter Edition V8.5 Fix Pack 1 or a later fix pack.

Minimum: One machine with two or more Intel 32-bit or AMD 32-bit processors.
Novell SUSE Linux Enterprise Server 9 (32-bit) with Service Pack 2 (United Linux SP2)
Supported on x86
Supported on x86-64
Minimum: One machine with two or more Intel 32-bit or AMD 32-bit processors.

Requires libstdc++-3.3.3-43.24,
compat-2004.7.1-1.2
Δ Novell SUSE Linux Enterprise Server 10 (32-bit)
Supported on x86
Supported on x86-64
Minimum: One machine with two or more Intel 32-bit or AMD 32-bit processors.
Solaris 9, Kernel SunOS 5.9 (64-bit), with the latest available patches.
Supported on SPARC
Minimum: One 2-way Sun Sparc machine.

To download patches, see the Sun J2SE download site.
Microsoft Windows Server 2003 Enterprise Edition R1 (32-bit)
Supported on x86
Supported on x86-64
Minimum: One machine with two or more Intel 32-bit or AMD 32-bit processors.
Microsoft Windows Server 2003 Enterprise Edition R2 (32-bit)
Supported on x86
Supported on x86-64
Minimum: One machine with two or more Intel 32-bit or AMD 32-bit processors.
Δ
Microsoft Windows Server 2003 Enterprise Edition R2 SP2 (32-bit)
Supported on x86
Supported on x86-64
Requires OmniFind Enterprise Edition or OmniFind Starter Edition V8.5 Fix Pack 1 or a later fix pack.

Minimum: One machine with two or more Intel 32-bit or AMD 32-bit processors.

Disk space

The following table specifies the minimum disk space required to install the server software for enterprise search.The disk space requirements for running an enterprise search system can vary and depend on the number of documents to be crawled, the types of data sources to be crawled, and how documents are parsed, indexed, and queried. Disk space requirements are also influenced by how regularly you build and update indexes.

For a multiple server configuration, the space requirements affect the index server. The ES_NODE_ROOT directory requires the most disk space on your system.

For assistance with minimizing the amount of space required for data that is stored by the DB2 crawler see Configuring the DB2 crawler to minimize disk space requirements.

Disk space (minimum) Operating system: Notes
AIX
Linux
Solaris
Win
Δ
2000 MB for the enterprise search software, plus 1800 MB of temporary disk space Supported on AIX Supported  on Linux Supported on Solaris Supported on Windows This is the minimum required to install the software. More space is needed to run an enterprise search system.

Memory

The RAM specifications in the following table reflect basic server requirements for an enterprise search system.

When you install an enterprise search system, you choose a memory configuration that is appropriate for your expected workload. To optimize performance, different memory configurations are installed for small, medium, and large enterprise search systems. If you install the software in a multiple server configuration, you must specify the same memory model on all enterprise search servers.

For information about the minimum hardware requirements for each model, and for guidelines on selecting a memory model that is appropriate for your expected workload, see Memory models for enterprise search.

RAM (minimum) Operating system: Notes
AIX
Linux
Solaris
Win
2 GB, plus 2 GB paging space
Supported on AIX
Supported  on Linux Supported on Solaris
Supported on Windows
Suitable for a small, entry-level solution (one enterprise search server).
4 GB, plus 4 GB paging space
Supported on AIX
Supported  on Linux Supported on Solaris
Supported on Windows
Suitable for a medium solution (one or two enterprise search servers).
8 GB, plus 4 GB paging space
Supported on AIX
Supported  on Linux Supported on Solaris
Supported on Windows
Suitable for a large enterprise solution (four enterprise search servers).

Processor

The CPU specifications in the following table reflect the minimum requirements for small, medium, and large installations. Actual system requirements depend on the number of active collections and your performance requirements.

Processor Operating system: Notes
AIX
Linux
Solaris
Win
1 or 2 processors per server
Supported on AIX
Supported  on Linux
Supported on Solaris
Supported on Windows
Suitable for a small, entry-level solution (one enterprise search server).
2 or 4 processors per server Supported on AIX Supported  on Linux Supported on Solaris Supported on Windows Suitable for a medium solution (one or two enterprise search servers).
At least 4 processors per server Supported on AIX Supported  on Linux Supported on Solaris Supported on Windows Suitable for a large enterprise solution (four enterprise search servers).

Web application server

The following table specifies the Web application server requirements. If WebSphere Application Server is not already installed, the OmniFind Enterprise Edition V8.5 installation program can install WebSphere Application Server V6.1 for you.

Important: Only 32-bit versions of WebSphere Application Server are supported. You cannot use a 64-bit Java Virtual Machine (JVM), which is supported by WebSphere Application Server, for enterprise search.

Web application server (required) Operating system: Notes
AIX
Linux
Solaris
Win
WebSphere Application Server Network Deployment 5.1.1.3
Supported on AIX
Supported  on Linux Supported on Windows Supported for backward compatibility purposes.
WebSphere Application Server 6.0.2, base edition
Supported on AIX
Supported  on Linux Supported on Solaris Supported on Windows
Δ WebSphere Application Server 6.1, base edition
Supported on AIX
Supported  on Linux Supported on Solaris Supported on Windows Can be installed by OmniFind Enterprise Edition V8.5.
Δ WebSphere Application Server 7.0, base edition, 32-bit
Supported on AIX
Supported  on Linux Supported on Solaris Supported on Windows Requires OmniFind Enterprise Edition V8.5 Fix Pack 4 or a later fix pack. For installation instructions, see the Readme file for V8.5 Fix Pack 4.
Δ WebSphere Application Server Network Deployment 7.0, 32-bit
Supported on AIX
Supported  on Linux Supported on Solaris Supported on Windows Requires OmniFind Enterprise Edition V8.5 Fix Pack 4 or a later fix pack. For installation instructions, see the Readme file for V8.5 Fix Pack 4.
Δ WebSphere Application Server 7.0, base edition, 64-bit Supported on AIX Requires OmniFind Enterprise Edition V8.5 Fix Pack 5. For installation instructions, see the Readme file for V8.5 Fix Pack 4.

Browser

The following table specifies the browser software that you can use with the enterprise search administration console and sample search application for enterprise search. On some platforms, other browsers can be used; however, some functionality might not be available for older browser levels or other browser types.

Browser (product components) Operating system: Notes
AIX
Linux
Solaris
Win
Microsoft Internet Explorer 6 Supported on Windows
Microsoft Internet Explorer 7 Supported on Windows
Δ
Microsoft Internet Explorer 8 Supported on Windows Requires OmniFind Enterprise Edition V8.5 Fix Pack 5.
Mozilla Firefox 2.0
Supported on AIX
Supported  on Linux
Supported on Solaris Supported on Windows
Δ
Mozilla Firefox 3.0
Supported on AIX
Supported  on Linux
Supported on Solaris Supported on Windows Requires OmniFind Enterprise Edition V8.5 Fix Pack 5.
Δ
Mozilla Firefox 3.5
Supported on AIX
Supported  on Linux
Supported on Solaris Supported on Windows Requires OmniFind Enterprise Edition V8.5 Fix Pack 5.

Browser (Information Center)

The following table specifies the browser software that you can use with the OmniFind Enterprise Edition information center.

Browser (information center) Operating system: Notes
AIX
Linux
Solaris
Win
Mozilla Firefox 1.7
Supported on AIX
Supported  on Linux
Supported on Solaris Supported on Windows
Mozilla Firefox 2.0
Supported on AIX
Supported  on Linux
Supported on Solaris Supported on Windows
Microsoft Internet Explorer 5.01 SP4 Supported on Windows
Microsoft Internet Explorer 6 SP1 Supported on Windows
Microsoft Internet Explorer 7 Supported on Windows

Java environment

The following table specifies the requirements for compiling Java applications for enterprise search. The Java SDK is not required to install enterprise search. The SDK for Java 1.5 is not supported.

The sample search application in the ES_INSTALL_ROOT/samples directory must run in a JRE version 1.4 environment. WebSphere Application Server and WebSphere Portal both provide the JRE version 1.4.

Before you can build Java applications for enterprise search, you must also install and configure Apache ANT, a Java-based build tool.

Java (required) Operating system: Notes
AIX
Linux
Solaris
Win
Software Development Kit for Java 1.4.2 Service Release 7 (SR7)
Supported on AIX
Supported  on Linux
Supported on Solaris
Supported on Windows

Δ
Software Development Kit for Java 1.4.2 Service Release 11 (SR11)
Supported on AIX
Supported  on Linux
Supported on Solaris
Supported on Windows
Requires OmniFind Enterprise Edition or OmniFind Starter Edition V8.5 Fix Pack 1 or a later fix pack.
Δ
Software Development Kit for Java 1.5
Supported on AIX
Supported  on Linux
Supported on Windows
Requires OmniFind Enterprise Edition or OmniFind Starter Edition V8.5 Fix Pack 4 or a later fix pack.
Δ
Software Development Kit for Java 1.5
Supported on Solaris
Requires OmniFind Enterprise Edition or OmniFind Starter Edition V8.5 Fix Pack 5.
Apache ANT 1.7
Supported on AIX
Supported  on Linux
Supported on Solaris
Supported on Windows
See http://ant.apache.org/.

Change history

History Date Change
Release February 2008 New release
Update June 2008 Revised disk space requirements
Update July 2008 Clarified that WebSphere Application Server Network Deployment is not supported. Beginning with V8.5 Fix Pack 3, support was extended to Network Deployment 7.0.
Update October 2008 Updated for V8.5 Fix Pack 1.
Update April 2009 Updated to state that the requirements also apply to OmniFind Starter Edition.
Update May 2009 Updated for V8.5 Fix Pack 2.
Update August 2009 Updated for V8.5 Fix Pack 3.
Update October 2009 Updated for V8.5 Fix Pack 4.
Update February 2010 Updated for V8.5 Fix Pack 5.

Product Alias/Synonym

enterprise search

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

OmniFind Enterprise Edition
Install

Software version:

8.5

Operating system(s):

AIX, Linux, Solaris, Windows

Reference #:

7010937

Modified date:

2010-03-09

Translate my page

Machine Translation

Content navigation